# EditorConfig is awesome: http://EditorConfig.org

# top-most EditorConfig file
root = true

# Unix-style newlines with a newline ending every file
[*]
end_of_line = lf
insert_final_newline = true
trim_trailing_whitespace = true
charset = utf-8

# python files
[*.{py,pyx,pyi}]
indent_style = space
indent_size = 4

# c files
[*.{h,c,cc}]
indent_style = space
indent_size = 2

[Makefile]
indent_style = tab

# 2 space indentation
[*.{js,json,yml,yaml}]
indent_style = space
indent_size = 2

[*.{md,rst}]
trim_trailing_whitespace = false
indent_style = space
indent_size = 3
